﻿@model EpiTicket.Models.Event
@using Microsoft.Extensions.Options
@using CloudinaryDotNet
@inject IOptions<EpiTicket.Stripe.StripeSettings> Stripe
@{
    ViewData["Title"] = "Purchase";
}

<h1>Panier</h1>

<div>
    <div class="event-container">
        <div class="left">
            <h3>
                Event
            </h3>
            <hr />
            <div class="block">
                @if (Model.Poster == null)
                {
                    @Html.Raw(EpiTicket.Data.Cloudinary.Instance.Api.UrlImgUp.Transform(
                                                                 new Transformation().Width(500).Height(300).Crop("fill").Radius("8")
                                                             ).BuildImageTag("EpiTicket/placeholder-event", new CloudinaryDotNet.StringDictionary("alt=" + Model.Name)))
                }
                else
                {
                    @Html.Raw(EpiTicket.Data.Cloudinary.Instance.Api.UrlImgUp.Transform(
                                                                         new Transformation().Width(500).Height(300).Crop("fill").Radius("8")
                                                                     ).BuildImageTag(Model.Poster, new CloudinaryDotNet.StringDictionary("alt=" + Model.Name)))
                }

                <dl class="row">
                    <dt class="col-sm-2">
                        @Html.DisplayNameFor(model => model.Name)
                    </dt>
                    <dd class="col-sm-10">
                        @Html.DisplayFor(model => model.Name)
                    </dd>
                    <dt class="col-sm-2">
                        @Html.DisplayNameFor(model => model.Organizer)
                    </dt>
                    <dd class="col-sm-10">
                        @Html.DisplayFor(modelItem => Model.Organizer.Name)
                    </dd>
                    <dt class="col-sm-2">
                        @Html.DisplayNameFor(model => model.Location)
                    </dt>
                    <dd class="col-sm-10">
                        @Html.DisplayFor(model => model.Location)
                    </dd>
                    <dt class="col-sm-2">
                        @Html.DisplayNameFor(model => model.StartDate)
                    </dt>
                    <dd class="col-sm-10">
                        @Convert.ToDateTime(Model.StartDate).ToString("dd/MM/yyyy")
                    </dd>
                    <dt class="col-sm-2">
                        Heure:
                    </dt>
                    <dd class="col-sm-10">
                        @Convert.ToDateTime(Model.StartDate).ToString("hh:mm")
                    </dd>
                </dl>
            </div>
        </div>
        <div class="right">
            <h3>
                Utilisateur
            </h3>
            <hr />
            <div class="block">
                <dl class="row">
                    <dt class="col-sm-2">
                        Name
                    </dt>
                    <dd class="col-sm-10">
                        @ViewData["userName"]
                    </dd>
                    <dt class="col-sm-2">
                        Email
                    </dt>
                    <dd class="col-sm-10">
                        @User.Identity.Name
                    </dd>
                </dl>
            </div>
        </div>
    </div>
    <div>
        <h3>
            Paiement
        </h3>
        <hr />
        <div>
            <dl class="row">
                <dt class="col-sm-2">
                    Achat:
                </dt>
                <dd class="col-sm-10">
                    1 ticket
                </dd>
                <dt class="col-sm-2">
                    Prix:
                </dt>
                <dd class="col-sm-10">
                    @Html.DisplayFor(model => model.Price) €
                </dd>
            </dl>
            <form action="/Purchase/Charge/@Model.EventId" method="POST">
                <script src="//checkout.stripe.com/v2/checkout.js"
                        class="stripe-button"
                        data-key="@Stripe.Value.PublishableKey"
                        data-locale="auto"
                        data-description="Event Purchase"></script>
            </form>
        </div>
    </div>
</div>
